Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.websphere.personalization.transformation
Class PznTransformationModel

    java.lang.Object
      com.ibm.websphere.personalization.transformation.PznTransformationModel

    public abstract class PznTransformationModel

extends java.lang.Object

When visibility rule caching is enabled, visibility rules are only executed once per session. If that rule is encountered later in the session, the original results of the rule execution are used. This class can be used to clear the results of those previous execution.

Visibility rule caching can be enabled or disabled by setting rulesEngine.attributeBasedAdmin.enableCaching to true or false in PersonalizationService.properties.

Constructor Summary
`PznTransformationModel()`

Method Summary
`protected abstract RuntimeLocator` | `getBaseRuntimeLocator()`
`RuntimeLocator` | `getRuntimeLocator()`
`void` | `invalidate()` Clears the results of all visibility rules executed by this PznTransformationModel
`static void` | `invalidate(HttpServletRequest request)` Clears the results of all visibility rules run in a session
`static void` | `invalidate(HttpServletRequest request, java.lang.String rule)` Clears the results of a visibiliity rule
`static void` | `invalidate(org.apache.jetspeed.portlet.PortletRequest request)` Clears the results of all visibility rules run in a session
`static void` | `invalidate(org.apache.jetspeed.portlet.PortletRequest request, java.lang.String rule)` Clears the results of a visibility rule run in a session
`static void` | `invalidate(PortletRequest request)` Clears the results of all visibility rules run in a session
`static void` | `invalidate(PortletRequest request, java.lang.String rule)` Clears the results of a visibility rule run in a session

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PznTransformationModel

    public PznTransformationModel()

Method Detail

### invalidate

    public static void invalidate(org.apache.jetspeed.portlet.PortletRequest request)

  Clears the results of all visibility rules run in a session

  Parameters:
    `request` - A request created during the session to be cleared

### invalidate

    public static void invalidate(PortletRequest request)

  Clears the results of all visibility rules run in a session

  Parameters:
    `request` - A request created during the session to be cleared

### invalidate

    public static void invalidate(HttpServletRequest request)

  Clears the results of all visibility rules run in a session

  Parameters:
    `request` - A request created during the session to be cleared

### invalidate

    public static void invalidate(org.apache.jetspeed.portlet.PortletRequest request,
                                  java.lang.String rule)
                           throws PersonalizationException

  Clears the results of a visibility rule run in a session

  Parameters:
    `request` - A request created during the session to be cleared
    `rule` - The full path to the rule to be cleared
  Throws:
    `PersonalizationException`

### invalidate

    public static void invalidate(PortletRequest request,
                                  java.lang.String rule)
                           throws PersonalizationException

  Clears the results of a visibility rule run in a session

  Parameters:
    `request` - A request created during the session to be cleared
    `rule` - The full path to the rule to be cleared
  Throws:
    `PersonalizationException`

### invalidate

    public static void invalidate(HttpServletRequest request,
                                  java.lang.String rule)
                           throws PersonalizationException

  Clears the results of a visibiliity rule

  Parameters:
    `request` - A request created during the session to be cleared
    `rule` - The full path to the rule to be cleared
  Throws:
    `PersonalizationException`

### invalidate

    public void invalidate()

  Clears the results of all visibility rules executed by this PznTransformationModel

### getBaseRuntimeLocator

    protected abstract RuntimeLocator getBaseRuntimeLocator()

### getRuntimeLocator

    public RuntimeLocator getRuntimeLocator()

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD